Kako instalirati naše LMDE pakete u 3 sekunde

Iskoristivši nedavni članak o čemu sam objavio MintBackup, Želim vam pokazati tri jednostavna načina za ponovnu instalaciju paketa koje koristimo kada ponovno instaliramo naše LMDE.

Zapravo, osim prvog oblika, ostali se mogu koristiti i u jeziku Debian, kao u Ubuntu.

Instalacija za 3 sekunde

Grafički.

Ovo je način koji se najviše sviđa, sve grafički i bez dodirivanja terminala. In LMDE y LinuxMint, postoji nevjerojatan alat nazvan MintBackup, koje između ostalog možemo koristiti za spremanje naših paketa, a kasnije i za ponovnu instalaciju.

U slučaju LMDE, ako ažuriramo paket python-apt do verzije 0.8.0, nećemo moći koristiti MintBackup zbog problema zavisnosti. Vratit će sljedeću grešku:

Traceback (most recent call last):
File "/usr/lib/linuxmint/mintBackup/mintBackup.py", line 87, in <module>
class MessageDialog(apt.FetchProgress):
AttributeError: 'module' object has no attribute 'FetchProgress'

Nadam se da će momci iz menta popravi to uskoro.

Kroz terminal.

Kroz konzolu to možemo učiniti na dva načina, što je na kraju i ostalo isto.

U 2 koraka.

dpkg --get-selections | awk '$2 ~ /^install$/ {print $1}' > lista_de_paquetes.txt

Jednom kada imamo pristup spremištima i sve se konfigurira i ažurira, samo moramo staviti ovo:

cat lista_de_paquetes.txt | xargs sudo aptitude install -y

U 3 koraka.

dpkg --get-selections "*" > /home/user/Desktop/lista_de_paquetes.txt

Nakon ponovne instalacije izvršavamo ovo:

dpkg --set-selections  < /home/user/Desktop/lista_de_paquetes.txt

A onda trčimo:

apt-get -u dselect-upgrade

Mislim da je nepotrebno razjašnjavati da spremišta moramo pravilno konfigurirati .. Jednostavno, zar ne?


Sadržaj članka pridržava se naših principa urednička etika. Da biste prijavili grešku, kliknite ovdje.

8 komentara, ostavi svoj

Ostavite komentar

Vaša e-mail adresa neće biti objavljena. Obavezna polja su označena sa *

*

*

  1. Za podatke odgovoran: Miguel Ángel Gatón
  2. Svrha podataka: Kontrola neželjene pošte, upravljanje komentarima.
  3. Legitimacija: Vaš pristanak
  4. Komunikacija podataka: Podaci se neće dostavljati trećim stranama, osim po zakonskoj obavezi.
  5. Pohrana podataka: Baza podataka koju hostuje Occentus Networks (EU)
  6. Prava: U bilo kojem trenutku možete ograničiti, oporaviti i izbrisati svoje podatke.

  1.   hrabrost rekao je

    Ili takođe zapisujete sve programe koje ste imali ranije i radite

    sudo apt-get -y u svim izbrisanim paketima

    Zaista ne znam da li LMDE ima isti cilj kao Linux MInt, biti izvan okvira

    1.    hrabrost rekao je

      * instalirati

  2.   Hokasito rekao je

    Iako je pomalo "van teme", želio sam upozoriti da su kandidati za izdanje izašli u Linux Mint Debian 201108 za GNOME i XFCE. Nadam se da je napravljeno dosta poboljšanja ...…

    1.    elav <° Linux rekao je

      Pa, da, šta se događa kad su objavljene ove izvrsne vijesti, bili smo izvan mreže. Hvala.

  3.   mitcoes rekao je

    Upravo sam te otkrio i HVALA.
    Jučer sam instalirao 64-bitni LMDE i dobro se slažem, ali moram otkriti dvije male stvari-

    1– Prijava kao root u grafičkom načinu

    2.- Postavite VLC kao zadani video uređaj

    Mislim da bih ga dobio na željenoj kontrolnoj tabli aplikacija ili otvaranjem s drugom aplikacijom / korištenjem ove aplikacije prema zadanim postavkama. Prijavljeni ste kao root.

    Radio sam sudo nautilus za svaki slučaj i baš ništa.

    PS1: U 64 bita ako uklanjanje paketa dobro funkcionira.
    PS2: Također moram instalirati MAME SDL i nedavni wine64 od kojih bih želio da postoji ppa, jer vas kasnije konfiguriranje programa automatski ne ažurira.
    PS3: Koristim AMD beta upravljački program AMD_Catalyst_Preview_driver_OpenGL_4.2_beta_support_8.88.8-x86.x86_64.run, Cocoon, https://getcocoon.com/, da biste vidjeli geolocirane serije u Firefoxu, Chromeu - koji se mora instalirati -, Firefox Flash pomoć sa 64-bitnim Flashom, Zindusom, Qbittorrentom, Opera, ekstenzijom aletras.oxt i skriptom za kontrolu viška RAM predmemorije zadatka to takođe zaslužuje vaš komentar.

    Radujem se petom dijelu tutorijala s ovim i / ili drugim prijedlozima

  4.   JEDI SA rekao je

    Bok tamo!
    Jedna stvar, trebali bismo promijeniti prvu vezu koja šalje članak MintBackup na ovu: https://blog.desdelinux.net/mintbackup-realiza-un-respaldo-de-tus-paquetes/
    Ne znam zašto, vodi do poddirektorijuma "/ wp-content / themes" ...

    1.    KZKG ^ Gaara rekao je

      Gotovo, ispravljeno 😉

  5.   Nahum rekao je

    Pozdrav, od prethodne verzije LMDE amd64 imao sam problema sa slomljenim paketima i greškama prilikom učitavanja spremišta, isprobao sam mnoga rješenja i nijedno od njih ne radi… više ne znam što da radim, htio sam instalirati Gnome-shell i nije mi dopustio jer je paket slomljen. Vidio sam kako riješiti slomljene pakete naredbama poput: sudo dpkg –purge –force-remove-reinstreq

    i dobijam sljedeću grešku:

    dpkg: greška: –purge traži najmanje jedno ime paketa kao parametar

    Upišite dpkg –help za pomoć pri instaliranju i deinstaliranju paketa [*];
    Koristite `dselect 'ili` aptitude' za ugodnije upravljanje paketima;
    Upišite dpkg -Dhelp za listu postavki otklanjanja grešaka dpkg;
    Upišite dpkg –force-help za listu opcija za forsiranje stvari;
    Upišite dpkg-deb –help za pomoć u manipulaciji .deb datotekama;

    Opcije označene sa [*] daju dugačak izlaz,
    Filtrirajte ga sa "manje" ili sa "više"!

    ako mi neko može pomoći oko ovoga 🙂